NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback

## 5.11. nvmlProcessInfo_t Struct Reference

## [Device Structs]

Information about running compute processes on the GPU

### Public Variables

unsigned int pid
  Process ID.
unsigned long long usedGpuMemory

### Variables

unsigned int nvmlProcessInfo_t::pid [inherited]

  Process ID.

unsigned long long nvmlProcessInfo_t::usedGpuMemory [inherited]

  Amount of used GPU memory in bytes. Under WDDM, NVML_VALUE_NOT_AVAILABLE is always reported because Windows KMD manages all the memory and not the NVIDIA driver

NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback